from django.db import migrations


def forwards_func(apps, schema_editor):
    Event = apps.get_model("agenda_culturel", "Event")
    db_alias = schema_editor.connection.alias
    events = Event.objects.filter(recurrence_dtstart__isnull=True)
    for e in events:
        e.update_recurrence_dtstartend()
    Event.objects.bulk_update(events, ["recurrence_dtstart", "recurrence_dtend"])




class Migration(migrations.Migration):
    dependencies = [
        ('agenda_culturel', '0026_alter_event_recurrences'),
    ]


    operations = [
        migrations.RunPython(forwards_func),
    ]